"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendConfirmationEmail = exports.transport = void 0;
const nodemailer_1 = __importDefault(require("nodemailer"));
const config_1 = require("./config");
exports.transport = nodemailer_1.default.createTransport({
    service: "Gmail",
    auth: {
        user: config_1.config.user,
        pass: config_1.config.password,
    },
});
const sendConfirmationEmail = (email, subject, h1, h2, text, url) => {
    const host = 'https://myrealcoins.networkmanager.pl';
    exports.transport.sendMail({
        from: config_1.config.user,
        to: email,
        subject: subject,
        html: url ?
            `<h1>MyRealCoins - ${h1}</h1>
        <h2>${h2}</h2>
        <p>${text}</p>
        <a href=${host}/${url}>Click here</a> 
        <p>or copy this URL:</p>
        <p>${host}/${url}</p>
        </div>`
            : `<h1>MyRealCoins - ${h1}</h1>
        <h2>${h2}</h2>
        <p>${text}</p>
        </div>`
    }).catch((err) => {
        throw new Error(err);
    });
};
exports.sendConfirmationEmail = sendConfirmationEmail;
//# sourceMappingURL=nodemailer.config.js.map