"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importStar(require("express"));
const cors_1 = __importDefault(require("cors"));
require("express-async-errors");
const error_1 = require("./utils/error");
const config_1 = require("./config/config");
const operation_router_1 = require("./routers/operation.router");
const period_router_1 = require("./routers/period.router");
const cookie_session_1 = __importDefault(require("cookie-session"));
const user_router_1 = require("./routers/user.router");
const session_router_1 = require("./routers/session.router");
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const helmet_1 = __importDefault(require("helmet"));
const app = (0, express_1.default)();
app
    .use((0, cors_1.default)({
    origin: config_1.config.corsOrigin,
    credentials: true,
}))
    .use((0, express_rate_limit_1.default)({
    windowMs: 5 * 60 * 1000,
    max: 150,
}))
    .use(express_1.default.json())
    .use((0, cookie_session_1.default)({
    name: "session",
    secret: config_1.config.cookieSecret,
    httpOnly: true,
}))
    .use((0, helmet_1.default)());
const prefixRouter = (0, express_1.Router)();
prefixRouter
    .use('/operation', operation_router_1.operationRouter)
    .use('/period', period_router_1.periodRouter)
    .use('/user', user_router_1.userRouter)
    .use('/session', session_router_1.sessionRouter);
app.use('/api', prefixRouter);
app.use(error_1.handleError);
app.listen(3001, 'localhost', () => {
    console.log('Listening on http://localhost:3001');
});
//# sourceMappingURL=index.js.map