"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const period_record_1 = require("../../records/period.record");
const operation_record_1 = require("../../records/operation.record");
const create_new_operation_from_repetitive_handler_1 = require("../../utils/create-new-operation-from-repetitive-handler");
const db_1 = require("../../utils/db");
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    db_1.pool.end();
}));
test('createNewOperationFromRepetitiveHandler can, based on a given scheme, create a new operation belonging to actual period.', () => __awaiter(void 0, void 0, void 0, function* () {
    const newPeriod = new period_record_1.PeriodRecord({
        budgetAmount: 5000,
        freeCashAmount: 5000,
        isActive: false,
        paymentsAmount: 0,
        savingsAmount: 0,
        userId: "[test-user-id-for-handlers]"
    });
    yield newPeriod.insert();
    const rootOp = new operation_record_1.OperationRecord({
        amount: -50,
        isRepetitive: true,
        type: 1,
        category: 1,
        subcategory: 1,
        userId: newPeriod.userId,
        description: 'test-description-for-handler-testing',
        createdAt: '2023-01-01 12:00:00',
    });
    yield rootOp.insert();
    yield (0, create_new_operation_from_repetitive_handler_1.createNewOperationFromRepetitiveHandler)(rootOp.id, newPeriod.userId, newPeriod);
    const found = yield operation_record_1.OperationRecord.findPeriodOperations(newPeriod.id, newPeriod.userId);
    expect(found.length).toBe(1);
    expect(found[0].periodId).toBe(newPeriod.id);
    expect(found[0].originId).toBe(rootOp.id);
    expect(found[0].createdAt).not.toBe(rootOp.createdAt);
    yield newPeriod.delete();
    yield rootOp.delete();
    yield found[0].delete();
}));
//# sourceMappingURL=create-new-operation-from-repetitive-handler.test.js.map