"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddOperationToBudgetHandler = void 0;
const types_1 = require("../types");
const AddOperationToBudgetHandler = (newOperation, actualPeriod) => __awaiter(void 0, void 0, void 0, function* () {
    if (!newOperation) {
        throw new Error('Operation not found.');
    }
    switch (newOperation.type) {
        case types_1.OperationType.AddToBudget: {
            yield actualPeriod.changeBudgetOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.BudgetReduction: {
            yield actualPeriod.changeBudgetOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.Payment: {
            yield actualPeriod.addPaymentOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.AddToSavings: {
            yield actualPeriod.addToSavingsOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.AddFromSavings: {
            yield actualPeriod.addFromSavingsOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.AddToCushion: {
            yield actualPeriod.addToCushionOperation(newOperation.amount);
            break;
        }
        case types_1.OperationType.AddFromCushion: {
            yield actualPeriod.addFromCushionOperation(newOperation.amount);
            break;
        }
        default:
            throw new Error('Incorrect Operation Type.');
    }
});
exports.AddOperationToBudgetHandler = AddOperationToBudgetHandler;
//# sourceMappingURL=add-operation-to-budget-handler.js.map