"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNewOperationFromRepetitiveHandler = void 0;
const operation_record_1 = require("../records/operation.record");
const datetime_handlers_1 = require("./datetime-handlers");
const add_operation_to_budget_handler_1 = require("./add-operation-to-budget-handler");
const error_1 = require("./error");
const createNewOperationFromRepetitiveHandler = (schemaId, userId, actualPeriod) => __awaiter(void 0, void 0, void 0, function* () {
    const operationSchema = yield operation_record_1.OperationRecord.getOne(schemaId, userId);
    if (!operationSchema) {
        throw new error_1.ValidationError('Operacja nie została znaleziona.');
    }
    if (!operationSchema.isRepetitive || operationSchema.periodId) {
        throw new Error();
    }
    const properOperation = new operation_record_1.OperationRecord(Object.assign(Object.assign({}, operationSchema), { id: null, originId: operationSchema.id, periodId: actualPeriod.id, userId: userId, createdAt: (0, datetime_handlers_1.getStandardFormattedDateTime)() }));
    yield (0, add_operation_to_budget_handler_1.AddOperationToBudgetHandler)(properOperation, actualPeriod);
    yield properOperation.insert();
    return true;
});
exports.createNewOperationFromRepetitiveHandler = createNewOperationFromRepetitiveHandler;
//# sourceMappingURL=create-new-operation-from-repetitive-handler.js.map