"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFirstAndLastDateOfActualMonth = exports.getStandardFormattedDateTime = void 0;
const date_fns_1 = require("date-fns");
const getStandardFormattedDateTime = (date = new Date(), outputDateFormat = 'yyyy-MM-dd HH:mm:ss') => {
    return (0, date_fns_1.format)(date, outputDateFormat);
};
exports.getStandardFormattedDateTime = getStandardFormattedDateTime;
const getFirstAndLastDateOfActualMonth = () => {
    const today = new Date();
    return {
        firstDateOfMonth: (0, exports.getStandardFormattedDateTime)(today, 'yyyy-MM-01 00:00:00'),
        lastDateOfMonth: (0, exports.getStandardFormattedDateTime)((0, date_fns_1.lastDayOfMonth)(today), 'yyyy-MM-dd 23:59:59'),
    };
};
exports.getFirstAndLastDateOfActualMonth = getFirstAndLastDateOfActualMonth;
//# sourceMappingURL=datetime-handlers.js.map