"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertNewPeriodHandler = void 0;
const period_record_1 = require("../records/period.record");
const operation_record_1 = require("../records/operation.record");
const user_record_1 = require("../records/user.record");
const insertNewPeriodHandler = (userId, newUser) => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield user_record_1.UserRecord.getOneById(userId);
    if (!user) {
        throw new Error('User not found.');
    }
    const newPeriod = new period_record_1.PeriodRecord({
        id: null,
        userId: userId,
        isActive: true,
        freeCashAmount: user.defaultBudgetAmount,
        budgetAmount: user.defaultBudgetAmount,
        paymentsAmount: 0,
        savingsAmount: 0,
        ends: null,
        starts: null,
        createdAt: null,
    });
    yield newPeriod.insert();
    if (newUser) {
        return newPeriod;
    }
    return yield operation_record_1.OperationRecord.findRepetitiveOperations(userId);
});
exports.insertNewPeriodHandler = insertNewPeriodHandler;
//# sourceMappingURL=insert-new-period-handler.js.map