"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReverseOperationHandler = void 0;
const types_1 = require("../types");
const ReverseOperationHandler = (foundOperation, actualPeriod) => __awaiter(void 0, void 0, void 0, function* () {
    if (!foundOperation) {
        throw new Error('Operation not found.');
    }
    switch (foundOperation.type) {
        case types_1.OperationType.AddToBudget: {
            yield actualPeriod.changeBudgetOperation(foundOperation.amount * -1);
            break;
        }
        case types_1.OperationType.BudgetReduction: {
            yield actualPeriod.changeBudgetOperation(foundOperation.amount * -1);
            break;
        }
        case types_1.OperationType.Payment: {
            yield actualPeriod.reversePaymentOperation(foundOperation.amount);
            break;
        }
        case types_1.OperationType.AddToSavings: {
            yield actualPeriod.addFromSavingsOperation(foundOperation.amount * -1);
            break;
        }
        case types_1.OperationType.AddFromSavings: {
            yield actualPeriod.addToSavingsOperation(foundOperation.amount * -1);
            break;
        }
        case types_1.OperationType.AddToCushion: {
            yield actualPeriod.addFromCushionOperation(foundOperation.amount * -1);
            break;
        }
        case types_1.OperationType.AddFromCushion: {
            yield actualPeriod.addToCushionOperation(foundOperation.amount * -1);
            break;
        }
        default:
            throw new Error('Incorrect Operation Type.');
    }
});
exports.ReverseOperationHandler = ReverseOperationHandler;
//# sourceMappingURL=reverse-operation-handler.js.map