"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadImageHandler = void 0;
const uuid_1 = require("uuid");
const path_1 = require("path");
const user_directory_handler_1 = require("./user-directory-handler");
const sharp_1 = __importDefault(require("sharp"));
const types_1 = require("../types");
const uploadImageHandler = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    if (req.file && Number(req.body.type) === types_1.OperationType.Payment) {
        const name = (0, uuid_1.v4)() + '.jpg';
        const imageDirname = (0, path_1.join)((0, path_1.dirname)(__dirname), `/uploads/${req.userId}`);
        const folderExists = yield (0, user_directory_handler_1.userDirectoryHandler)(imageDirname);
        if (folderExists) {
            yield (0, sharp_1.default)(req.file.buffer)
                .rotate()
                .resize({
                height: 800,
                fit: "contain",
            })
                .jpeg()
                .toFile(`${imageDirname}/${name}`);
            res.status(201);
            return name;
        }
        else
            throw new Error('Error while uploading new file.');
    }
    else
        return null;
});
exports.uploadImageHandler = uploadImageHandler;
//# sourceMappingURL=upload-image-handler.js.map