"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.upload = void 0;
const multer_1 = __importDefault(require("multer"));
const error_1 = require("./error");
exports.upload = (0, multer_1.default)({
    limits: {
        fileSize: 7000000,
    },
    fileFilter(req, file, cb) {
        if (!file.originalname.match(/\.(jpg|jpeg)$/) || (file.mimetype !== 'image/jpeg')) {
            return cb(new error_1.ValidationError('Dodawany plik jest nieprawidłowy.'));
        }
        cb(null, true);
    }
});
//# sourceMappingURL=upload.js.map