"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const config_1 = require("../../config/config");
const error_1 = require("../error");
const json_response_handlers_1 = require("../json-response-handlers");
const verifyToken = (req, res, next) => {
    let token = req.session.token;
    if (!token) {
        (0, json_response_handlers_1.sendSuccessJsonHandler)(res, 'No token provided.');
        return;
    }
    jsonwebtoken_1.default.verify(token, config_1.config.jwtSecret, {}, (err, decoded) => {
        if (err) {
            throw new error_1.ValidationError('Unauthorized!');
        }
        if (!decoded) {
            throw new error_1.ValidationError('Invalid JWT token!');
        }
        req.userId = decoded.id;
        next();
    });
};
exports.verifyToken = verifyToken;
//# sourceMappingURL=auth-jwt.js.map